REGULATOR_SET_MODE(9)

NAME
regulator_set_mode - set regulator operating mode

SYNOPSIS

int regulator_set_mode(struct regulator * regulator, unsigned int mode);

ARGUMENTS

regulator
    regulator source

mode
    operating mode - one of the REGULATOR_MODE constants

DESCRIPTION

Set regulator operating mode to increase regulator efficiency or improve regulation performance.

NOTE

Regulator system constraints must be set for this regulator before calling this function otherwise this call will fail.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT